package br.com.estruturadedados;

import br.com.estruturadedados.usalocadora.UsaLocadora;
import br.com.estruturadedados.utilitario.lista.Lista;
import br.com.estruturadedados.utilitario.lista.vetor.ListaVetor;
import br.com.estruturadedados.utilitario.ordenador.Ordenador;
import br.com.estruturadedados.utilitario.ordenador.OrdenadorListaVetor;
import java.util.Random;

public class EstruturaDeDados {

    public static void main(String[] args) {
        Lista<Integer> lista = new ListaVetor<>();
        Random random = new Random();
        for (int i = 0; i < 10; i++) {
            lista.adicionaInicio(random.nextInt(200));
        }
        for (Integer i : lista) {
            System.out.println(i);
        }
        System.out.println("");
        Ordenador<Integer> ordenador = new OrdenadorListaVetor<>(lista);
        ordenador.quickSort();
        for (Integer i : lista) {
            System.out.println(i);
        }
    }
}
