package br.com.estruturadedados.utilitario.calculadora.recursiva;

import br.com.estruturadedados.utilitario.calculadora.Calculadora;

public class CalculadoraRecursiva implements Calculadora {

    @Override
    public int fatorial(int k) {
        int f = 1;
        if (k > 1) {
            f = k * this.fatorial((k - 1));
        }
        return f;
    }

    @Override
    public int somatorio(int k) {
        int f = 1;
        if (k == 0) {
            f = 0;
        } else {
            if (k > 1) {
                f = k + this.somatorio((k - 1));
            }
        }
        return f;
    }

    @Override
    public int sequenciaFibonacci(int k) {
        int f = 1;
        if (k > 1) {
            f = this.sequenciaFibonacci((k - 1)) + this.sequenciaFibonacci((k - 2));
        }
        return f;
    }

}
