package br.com.estruturadedados.utilitario.lista.encadeada.simplismente;

public class Celula<E extends Comparable<E>> {

    private Celula<E> proxima;

    private E elemento;

    public Celula(E elemento) {
        this.elemento = elemento;
    }

    public Celula(Celula<E> proxima, E elemento) {
        this.proxima = proxima;
        this.elemento = elemento;
    }

    public Celula<E> getProxima() {
        return proxima;
    }

    public void setProxima(Celula<E> proxima) {
        this.proxima = proxima;
    }

    public E getElemento() {
        return elemento;
    }

    public void setElemento(E elemento) {
        this.elemento = elemento;
    }

}
