package br.com.estruturadedados.usalocadora.locadora.itens;

public class Disco extends Item {

    private String nomeDoArtista;
    private int quantidadesDeFaixas;
    private String tipoDeMidia;

    public Disco(String titulo, int anoDeLancamento, String comentario) {
        super(titulo, anoDeLancamento, comentario);
    }

    public Disco(String nomeDoArtista, int quantidadesDeFaixas, String tipoDeMidia, String titulo, int anoDeLancamento, String comentario) {
        this(titulo, anoDeLancamento, comentario);
        this.nomeDoArtista = nomeDoArtista;
        this.quantidadesDeFaixas = quantidadesDeFaixas;
        this.tipoDeMidia = tipoDeMidia;
    }

    @Override
    public void ListaInformacoes() {
        System.out.print("Título: " + super.getTitulo() + ", \n" + "Ano de lançamento: " + super.getAnoDeLancamento() + ", \n" + "Comentário: " + super.getComentario() + ", \n" + "Nome do artista: " + this.nomeDoArtista + ", \n" + "" + "Quantidade de faixas: " + this.quantidadesDeFaixas + ", \n" + "Tipo de mídia: " + this.tipoDeMidia + "." + "\n");
    }

    public String getNomeDoArtista() {
        return this.nomeDoArtista;
    }

    public void setNomeDoArtista(String nomeDoArtista) {
        this.nomeDoArtista = nomeDoArtista;
    }

    public int getQuantidadesDeFaixas() {
        return this.quantidadesDeFaixas;
    }

    public void setQuantidadesDeFaixas(int quantidadesDeFaixas) {
        this.quantidadesDeFaixas = quantidadesDeFaixas;
    }

    public String getTipoDeMidia() {
        return this.tipoDeMidia;
    }

    public void setTipoDeMidia(String tipoDeMidia) {
        this.tipoDeMidia = tipoDeMidia;
    }

    @Override
    public int compareTo(Item item) {
        int compareToItem = super.compareTo(item);
        int compareToNomeDoArtista = this.nomeDoArtista.compareToIgnoreCase(((Disco) item).nomeDoArtista);
        int compareToQuantidadeDeFaixas = ((Integer) this.quantidadesDeFaixas).compareTo(((Integer) ((Disco) item).quantidadesDeFaixas));
        int compareToTipoDeMidia = this.tipoDeMidia.compareToIgnoreCase(((Disco) item).tipoDeMidia);
        if (compareToItem < 0 && compareToNomeDoArtista < 0 && compareToQuantidadeDeFaixas < 0 && compareToTipoDeMidia < 0) {
            return -1;
        } else {
            if (compareToItem == 0 && compareToNomeDoArtista == 0 && compareToQuantidadeDeFaixas == 0 && compareToTipoDeMidia == 0) {
                return 0;
            }
        }
        return 1;
    }

}
