package br.com.estruturadedados.usalocadora.locadora.itens;

public class Filme extends Item {

    private String nomeDoDiretor;
    private int duracao;
    private String genero;

    public Filme(String titulo, int anoDeLancamento, String comentario) {
        super(titulo, anoDeLancamento, comentario);
    }

    public Filme(String nomeDoDiretor, int duracao, String genero, String titulo, int anoDeLancamento, String comentario) {
        this(titulo, anoDeLancamento, comentario);
        this.nomeDoDiretor = nomeDoDiretor;
        this.duracao = duracao;
        this.genero = genero;
    }

    @Override
    public void ListaInformacoes() {
        System.out.print("Título: " + super.getTitulo() + ", \n" + "Ano de lançamento: " + super.getAnoDeLancamento() + ", \n" + "Comentário: " + super.getComentario() + ", \n" + "Nome do diretor: " + this.nomeDoDiretor + ", \n" + "" + "Duração: " + this.duracao + " minutos, \n" + "Gênero: " + this.genero + "." + "\n");
    }

    public String getNomeDoDiretor() {
        return this.nomeDoDiretor;
    }

    public void setNomeDoDiretor(String nomeDoDiretor) {
        this.nomeDoDiretor = nomeDoDiretor;
    }

    public int getDuracao() {
        return this.duracao;
    }

    public void setDuracao(int duracao) {
        this.duracao = duracao;
    }

    public String getGenero() {
        return this.genero;
    }

    public void setGenero(String genero) {
        this.genero = genero;
    }

    @Override
    public int compareTo(Item item) {
        int compareToItem = super.compareTo(item);
        int compareToNomeDoDiretor = this.nomeDoDiretor.compareToIgnoreCase(((Filme) item).nomeDoDiretor);
        int compareToDuracao = ((Integer) this.duracao).compareTo(((Integer) ((Filme) item).duracao));
        int compareToGenero = this.genero.compareToIgnoreCase(((Filme) item).genero);
        if (compareToItem < 0 && compareToNomeDoDiretor < 0 && compareToDuracao < 0 && compareToGenero < 0) {
            return -1;
        } else {
            if (compareToItem == 0 && compareToNomeDoDiretor == 0 && compareToDuracao == 0 && compareToGenero == 0) {
                return 0;
            }
        }
        return 1;
    }
}
