package br.com.estruturadedados.utilitario.calculadora.naorecursiva;

import br.com.estruturadedados.utilitario.calculadora.Calculadora;

public class CalculadoraNaoRecursiva implements Calculadora {

    @Override
    public int fatorial(int k) {
        int f = 1;
        if (k > 1) {
            for (int i = k; i > 1; i--) {
                f *= i;
            }
        }
        return f;
    }

    @Override
    public int somatorio(int k) {
        int f = 0;
        if (k == 0 && k == 1) {
            f = k;
        } else {
            for (int i = 1; i <= k; i++) {
                f += i;
            }
        }
        return f;
    }

    @Override
    public int sequenciaFibonacci(int k) {
        int f = 1;
        int x = 0;
        int aux;
        if (k > 1) {
            for (int i = 0; i < k; i++) {
                aux = f;
                f += x;
                x = aux;
            }
        }
        return f;
    }

}
