package br.com.estruturadedados.utilitario.lista.encadeada.duplamente;

public class Celula<E extends Comparable<E>> {

    private Celula<E> anterior;
    private Celula<E> proxima;
    private E elemento;

    public Celula(Celula<E> anterior, E elemento, Celula<E> proxima) {
        this.anterior = anterior;
        this.elemento = elemento;
        this.proxima = proxima;
    }

    public Celula(E elemento, Celula<E> proxima) {
        this.elemento = elemento;
        this.proxima = proxima;
    }

    public Celula(E elemento) {
        this.elemento = elemento;
    }

    public Celula<E> getAnterior() {
        return anterior;
    }

    public void setAnterior(Celula<E> anterior) {
        this.anterior = anterior;
    }

    public E getElemento() {
        return elemento;
    }

    public void setElemento(E elemento) {
        this.elemento = elemento;
    }

    public Celula<E> getProxima() {
        return proxima;
    }

    public void setProxima(Celula<E> proxima) {
        this.proxima = proxima;
    }

}
