package br.com.estruturadedados.utilitario.lista.encadeada.simplismente;

import br.com.estruturadedados.utilitario.colecao.Iterator;

public class Iterador<E extends Comparable<E>> implements Iterator<E> {

    private Celula<E> primeira;
    private Celula<E> ultima;
    private E elemento;

    public Iterador(Celula<E> primeira, Celula<E> ultima) {
        this.primeira = primeira;
        this.ultima = ultima;
    }

    @Override
    public boolean hasNext() {
        return this.primeira != null;
    }

    @Override
    @Deprecated
    public boolean hasPrevious() {
        return this.ultima != null;
    }

    @Override
    public E next() {
        this.elemento = this.primeira.getElemento();
        this.primeira = primeira.getProxima();
        return this.elemento;
    }

    @Override
    @Deprecated
    public E previous() {
        this.elemento = this.ultima.getElemento();
        this.ultima = ultima.getProxima();
        return this.elemento;
    }

}
